// const 修饰 * 和指针变量

#include <stdio.h>
#include <stdlib.h>

int main()
{
    int m = 100;
    const int *const p = &m; // 第一个 const 修饰 *p, 第二个 const 修饰 p
    *p += 10;                // 编译时报错: 因为 *p 是只读变量
    int n = 90;
    p = &n; // 编译时报错: 因为 p 是只读变量
    printf("%d\n", *p);

    return 0;
}